#include <algorithm>
#include <array>
#include <complex>
#include <cmath>
#include <functional>
#include <iostream>
#include <iomanip>
#include <limits>
#include <map>
#include <queue>
#include <set>
#include <stack>
#include <string>
#include <tuple>
#include <utility>
#include <vector>

using namespace std;

int main() {
  cin.sync_with_stdio(false);
  cin.tie(nullptr);
      
  vector<int> tri(1000001, 0);
  vector<int> dve(1000001, 0);
  
  for (int a = 1; a <= 1000000; a++) {
    for (int b = a + 1; b <= 1000000; b++) {
      int p = a*b;
      if (p > 1000000)
        break;
        
      dve[p]++;
    }  
  }

  for (int i = 1; i < 1000001; i++)
    dve[i] += dve[i-1];
  
  for (int g = 2; g < 1000001; g++) {
    for (int p = 1; p < 10001; p++) {
      int v = p * g;
      if (v > 100000 || p > g) break;
      

      
      tri[v] += dve[p];
      if (p % g == 0)
        tri[v]--;
            
    }
  }
  
  for (int i = 1; i < 1000001; i++)
    tri[i] += tri[i-1];
    
  int n;
  cin >> n;
  
  for (int r = 0; r < n; r++) {
    int a;
    cin >> a;
    cout << tri[a] << "\n";
  
  
  } 
    
    

  return 0;
}


