#include <algorithm>
#include <array>
#include <complex>
#include <cmath>
#include <functional>
#include <iostream>
#include <iomanip>
#include <limits>
#include <map>
#include <queue>
#include <set>
#include <stack>
#include <string>
#include <tuple>
#include <utility>
#include <vector>

using namespace std;

int main() {
    cin.sync_with_stdio(false);
  cin.tie(nullptr);
  
  double Tf, Vf, Hf, Td, Vd, Hd;
  cin >> Tf >> Vf >> Hf >> Td >> Vd >> Hd;
  
  double Tr = 0;
  double Tc2 = Tf + sqrt((2 * Hf));
  double Tc0 = Tf + sqrt(2 * (Hf-Hd));
  
  if(Vd > Vf){
    double Tc = (Td*Vd - Tf * Vf)/ (Vd - Vf);
  
    if (Tc <= Tc0){
      Tr = Tc0 + Vf * (Tc0 - Tf) / Vd;
    }else{
      if (Tc >= Tc2){
        Tr = Td + 2 * Vf*(Tc2 - Tf) / Vd;
      }else{
        Tr = Tc + Vf * (Tc - Tf) / Vd;
      }
    }
  }else{
    Tr = Td + 2 * Vf*(Tc2 - Tf) / Vd;
  }

  cout << fixed << setprecision(8);
  cout << Tr << "\n";

  return 0;
}
